import request from '@/utils/request'

// 查询紧急联系人列表
export function listPeople(query) {
  return request({
    url: '/system/people/list',
    method: 'get',
    params: query
  })
}

// 查询紧急联系人详细
export function getPeople(id) {
  return request({
    url: '/system/people/' + id,
    method: 'get'
  })
}

// 新增紧急联系人
export function addPeople(data) {
  return request({
    url: '/system/people',
    method: 'post',
    data: data
  })
}

// 修改紧急联系人
export function updatePeople(data) {
  return request({
    url: '/system/people',
    method: 'put',
    data: data
  })
}

// 删除紧急联系人
export function delPeople(id) {
  return request({
    url: '/system/people/' + id,
    method: 'delete'
  })
}
